Skip to Content
kosemdocs
ReferenceAPIOrganizations

Update organization

Renames an organization. Its slug never changes.

PATCH
/v1/organizations/{organization}

Renames an organization. Its slug never changes.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Request Body

application/json
  1. body
displayName?string

Name shown in user interfaces.

Lengthlength <= 100

Response Body

OK

application/json
  1. response
createTime*string

When the organization was created.

Formatdate-time
displayName*string

Name shown in user interfaces.

name*string

Resource name, organizations/{organization_id}. The ID is generated by the server and never changes.

slug*string

Globally unique, human-readable alias. It never changes, so that links to the organization keep working.

state*string

Lifecycle state. An organization whose deletion was requested is purged after a grace period unless it is undeleted.

Value in"ACTIVE""DELETE_REQUESTED"
updateTime*string

When the organization was last updated.

Formatdate-time
Example Request
curl -X PATCH 'https://api.kosem.ai/v1/organizations/string' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "createTime": "2019-08-24T14:15:22Z",
  "displayName": "string",
  "name": "string",
  "slug": "string",
  "state": "ACTIVE",
  "updateTime": "2019-08-24T14:15:22Z"
}